Get Package
curl --request GET \
--url https://api.decodahealth.com/inventory/packages/{package_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/packages/{package_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/packages/{package_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"price": 123,
"id": "<string>",
"description": "<string>",
"isArchived": false,
"internalNotes": "<string>",
"items": [
{
"packageId": "<string>",
"itemId": "<string>",
"price": 123,
"id": "<string>",
"quantity": 123,
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"taxable": false,
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT"
}
}
],
"category": "<string>",
"numberOfActivePatients": 0,
"numberOfPatients": 0,
"createdDate": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Inventory
Get Package
Get a specific package by ID.
GET
/
inventory
/
packages
/
{package_id}
Get Package
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Name of the package
Price of the package in cents
Unique identifier for the package
Optional description of the package
Whether the package is archived
Optional internal notes for the package
Items included in the package
Show child attributes
Show child attributes
Category name (references category.name)
Number of active patients on this package
Total number of patients who have purchased this package
Date the package was created
⌘I
